puttytel(1)

NAME

puttytel - GUI Telnet and Rlogin client for X

SYNOPSIS

puttytel [ options ] [ host ]

DESCRIPTION

puttytel is a graphical Telnet and Rlogin client for X. It is a direct port of the Windows Telnet and Rlogin client of the same name, and a cut-down cryptography-free version of PuTTY.

OPTIONS

The command-line options supported by puttytel are:

--display display-name
    Specify the X display on which to open puttytel. (Note this option has a double minus sign, even though none of the others do. This is because this option is supplied automatically by GTK. Sorry.)

-fn font-name
    Specify the font to use for normal text displayed in the terminal.

-fb font-name
    Specify the font to use for bold text displayed in the terminal. If the BoldAsColour resource is set to 1 (the default), bold text will be displayed in different colours instead of a different font, so this option will be ignored. If BoldAsColour is set to 0 and you do not specify a bold font, puttytel will overprint the normal font to make it look bolder.

-fw font-name
    Specify the font to use for double-width characters (typically Chinese, Japanese and Korean text) displayed in the terminal.

-fwb font-name
    Specify the font to use for bold double-width characters (typically Chinese, Japanese and Korean text). Like -fb, this will be ignored unless the BoldAsColour resource is set to 0.

-geometry geometry
    Specify the size of the terminal, in rows and columns of text. See X(7) for more information on the syntax of geometry specifications.

-sl lines
    Specify the number of lines of scrollback to save off the top of the terminal.

-fg colour
    Specify the foreground colour to use for normal text.

-bg colour
    Specify the background colour to use for normal text.

-bfg colour
    Specify the foreground colour to use for bold text, if the BoldAsColour resource is set to 1 (the default).

-bbg colour
    Specify the foreground colour to use for bold reverse-video text, if the BoldAsColour resource is set to 1 (the default). (This colour is best thought of as the bold version of the background colour; so it only appears when text is displayed in the background colour.)

-cfg colour
    Specify the foreground colour to use for text covered by the cursor.

-cbg colour
    Specify the background colour to use for text covered by the cursor. In other words, this is the main colour of the cursor.

-title title
    Specify the initial title of the terminal window. (This can be changed under control of the server.)

-sb- or +sb
    Tells puttytel not to display a scroll bar.

-sb Tells puttytel to display a scroll bar: this is the opposite of -sb-. This is the default option: you will probably only need to specify it explicitly if you have changed the default using the ScrollBar resource.

-log filename
    This option makes puttytel log all the terminal output to a file as well as displaying it in the terminal.

-cs charset
    This option specifies the character set in which puttytel should assume the session is operating. This character set will be used to interpret all the data received from the session, and all input you type or paste into puttytel will be converted into this character set before being sent to the session.

    Any character set name which is valid in a MIME header (and supported by puttytel) should be valid here (examples are `ISO-8859-1', `windows-1252' or `UTF-8'). Also, any character encoding which is valid in an X logical font description should be valid (`ibm-cp437', for example).

    puttytel's default behaviour is to use the same character encoding as its primary font. If you supply a Unicode (iso10646-1) font, it will default to the UTF-8 character set.

    Character set names are case-insensitive.

-nethack
    Tells puttytel to enable NetHack keypad mode, in which the numeric keypad generates the NetHack hjklyubn direction keys. This enables you to play NetHack with the numeric keypad without having to use the NetHack number_pad option (which requires you to press `n' before any repeat count). So you can move with the numeric keypad, and enter repeat counts with the normal number keys.

-help, --help
    Display a message summarizing the available options.

-pgpfp
    Display the fingerprints of the PuTTY PGP Master Keys, to aid in verifying new files released by the PuTTY team.

-load session
    Load a saved session by name. This allows you to run a saved session straight from the command line without having to go through the configuration box first.

-telnet, -rlogin, -raw
    Select the protocol puttytel will use to make the connection.

-l username
    Specify the username to use when logging in to the server.

-P port
    Specify the port to connect to the server on.

SAVED SESSIONS

Saved sessions are stored in a .putty/sessions subdirectory in your home directory.

MORE INFORMATION

For more information on PuTTY and PuTTYtel, it's probably best to go and look at the manual on the web page:

http://www.chiark.greenend.org.uk/~sgtatham/putty/

BUGS

This man page isn't terribly complete.